Масштабирование рабочего стола Linux 18.1


Unborn
Сообщения: 781
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 118 раз

Масштабирование рабочего стола Linux 18.1

Сообщение Unborn » 24 май 2017, 12:30

Петька_Васька, а ты штатные способы все пробовал?
Настройки системы - Общие - Масштабирование рабочего стола.
Настройки системы - Специальные возможности - Масштабирование рабочего стола.


Автор темы
Петька_Васька
Сообщения: 32
Зарегистрирован: 19 май 2017, 06:21

Масштабирование рабочего стола Linux 18.1

Сообщение Петька_Васька » 24 май 2017, 12:38

SemenSinchenko,
#!/bin/sh
#
# /etc/X11/Xsession
#
# global Xsession file -- used by display managers and xinit (startx)

# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $

set -e

PROGNAME=Xsession

message () {
# pretty-print messages of arbitrary length; use xmessage if it
# is available and $DISPLAY is set
MESSAGE="$PROGNAME: $*"
echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
fi
}

message_nonl () {
# pretty-print messages of arbitrary length (no trailing newline); use
# xmessage if it is available and $DISPLAY is set
MESSAGE="$PROGNAME: $*"
echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
fi
}

errormsg () {
# exit script with error
message "$*"
exit 1
}

internal_errormsg () {
# exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
# One big call to message() for the sake of xmessage; if we had two then
# the user would have dismissed the error we want reported before seeing the
# request to report it.
errormsg "$*" \
"Please report the installed version of the \"x11-common\"" \
"package and the complete text of this error message to" \
"<debian-x@lists.debian.org>."
}

# initialize variables for use by all session scripts

OPTIONFILE=/etc/X11/Xsession.options

SYSRESOURCES=/etc/X11/Xresources
USRRESOURCES=$HOME/.Xresources

SYSSESSIONDIR=/etc/X11/Xsession.d
USERXSESSION=$HOME/.xsession
USERXSESSIONRC=$HOME/.xsessionrc
ALTUSERXSESSION=$HOME/.Xsession
ERRFILE=$HOME/.xsession-errors

# attempt to create an error file; abort if we cannot
if (umask 077 && touch "$ERRFILE") 2> /dev/null && [ -w "$ERRFILE" ] &&
[ ! -L "$ERRFILE" ]; then
chmod 600 "$ERRFILE"
elif ERRFILE=$(tempfile 2> /dev/null); then
if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
"\"$ERRFILE\"; look for session log/errors in" \
"\"$TMPDIR/xsession-$USER\"."
fi
else
errormsg "unable to create X session log/error file; aborting."
fi

# truncate ERRFILE if it is too big to avoid disk usage DoS
if [ "`stat -c%s \"$ERRFILE\"`" -gt 500000 ]; then
T=`mktemp -p "$HOME"`
tail -c 500000 "$ERRFILE" > "$T" && mv -f "$T" "$ERRFILE" || rm -f "$T"
fi

exec >>"$ERRFILE" 2>&1

echo "$PROGNAME: X session started for $LOGNAME at $(date)"

# sanity check; is our session script directory present?
if [ ! -d "$SYSSESSIONDIR" ]; then
errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
fi

# Attempt to create a file of non-zero length in /tmp; a full filesystem can
# cause mysterious X session failures. We do not use touch, :, or test -w
# because they won't actually create a file with contents. We also let standard
# error from tempfile and echo go to the error file to aid the user in
# determining what went wrong.
WRITE_TEST=$(tempfile)
if ! echo "*" >>"$WRITE_TEST"; then
message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
"with an error"
fi
rm -f "$WRITE_TEST"

# use run-parts to source every file in the session directory; we source
# instead of executing so that the variables and functions defined above
# are available to the scripts, and so that they can pass variables to each
# other
SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
if [ -n "$SESSIONFILES" ]; then
set +e
for SESSIONFILE in $SESSIONFILES; do
. $SESSIONFILE
done
set -e
fi

exit 0

# vim:set ai et sts=2 sw=2 tw=80:
А это после создания .xinitrc(с испр. ошибки) .xprofile .Xresources с dpi 120 и перезагрузки.
#!/bin/sh
#
# /etc/X11/Xsession
#
# global Xsession file -- used by display managers and xinit (startx)

# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $

set -e

PROGNAME=Xsession

message () {
# pretty-print messages of arbitrary length; use xmessage if it
# is available and $DISPLAY is set
MESSAGE="$PROGNAME: $*"
echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
fi
}

message_nonl () {
# pretty-print messages of arbitrary length (no trailing newline); use
# xmessage if it is available and $DISPLAY is set
MESSAGE="$PROGNAME: $*"
echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
fi
}

errormsg () {
# exit script with error
message "$*"
exit 1
}

internal_errormsg () {
# exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
# One big call to message() for the sake of xmessage; if we had two then
# the user would have dismissed the error we want reported before seeing the
# request to report it.
errormsg "$*" \
"Please report the installed version of the \"x11-common\"" \
"package and the complete text of this error message to" \
"<debian-x@lists.debian.org>."
}

# initialize variables for use by all session scripts

OPTIONFILE=/etc/X11/Xsession.options

SYSRESOURCES=/etc/X11/Xresources
USRRESOURCES=$HOME/.Xresources

SYSSESSIONDIR=/etc/X11/Xsession.d
USERXSESSION=$HOME/.xsession
USERXSESSIONRC=$HOME/.xsessionrc
ALTUSERXSESSION=$HOME/.Xsession
ERRFILE=$HOME/.xsession-errors

# attempt to create an error file; abort if we cannot
if (umask 077 && touch "$ERRFILE") 2> /dev/null && [ -w "$ERRFILE" ] &&
[ ! -L "$ERRFILE" ]; then
chmod 600 "$ERRFILE"
elif ERRFILE=$(tempfile 2> /dev/null); then
if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
"\"$ERRFILE\"; look for session log/errors in" \
"\"$TMPDIR/xsession-$USER\"."
fi
else
errormsg "unable to create X session log/error file; aborting."
fi

# truncate ERRFILE if it is too big to avoid disk usage DoS
if [ "`stat -c%s \"$ERRFILE\"`" -gt 500000 ]; then
T=`mktemp -p "$HOME"`
tail -c 500000 "$ERRFILE" > "$T" && mv -f "$T" "$ERRFILE" || rm -f "$T"
fi

exec >>"$ERRFILE" 2>&1

echo "$PROGNAME: X session started for $LOGNAME at $(date)"

# sanity check; is our session script directory present?
if [ ! -d "$SYSSESSIONDIR" ]; then
errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
fi

# Attempt to create a file of non-zero length in /tmp; a full filesystem can
# cause mysterious X session failures. We do not use touch, :, or test -w
# because they won't actually create a file with contents. We also let standard
# error from tempfile and echo go to the error file to aid the user in
# determining what went wrong.
WRITE_TEST=$(tempfile)
if ! echo "*" >>"$WRITE_TEST"; then
message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
"with an error"
fi
rm -f "$WRITE_TEST"

# use run-parts to source every file in the session directory; we source
# instead of executing so that the variables and functions defined above
# are available to the scripts, and so that they can pass variables to each
# other
SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
if [ -n "$SESSIONFILES" ]; then
set +e
for SESSIONFILE in $SESSIONFILES; do
. $SESSIONFILE
done
set -e
fi

exit 0

# vim:set ai et sts=2 sw=2 tw=80:


Автор темы
Петька_Васька
Сообщения: 32
Зарегистрирован: 19 май 2017, 06:21

Масштабирование рабочего стола Linux 18.1

Сообщение Петька_Васька » 24 май 2017, 12:51

Unborn,
Пробовал. При первом варианте, изменения не затрагивают значки в той же мозилле и некоторых других диалоговых окнах (не помню каких точно).
При втором, включается лупа)))

Аватара пользователя

SemenSinchenko
Сообщения: 315
Зарегистрирован: 17 фев 2017, 09:01
Решено: 2
Откуда: Москва
Благодарил (а): 40 раз
Поблагодарили: 41 раз

Масштабирование рабочего стола Linux 18.1

Сообщение SemenSinchenko » 24 май 2017, 12:56

Петька_Васька, если срочно, то покажите что есть в /etc/X11/Xsession.d... Например командой ls -l
Там вроде бы, если память не изменяет, должен быть файл xinit или xinitrc, являющийся глобальным.
Если найдете там такой файл, его тоже приведите.

Если не срочно, то подождите до вечера, я приду домой, сам гляну что там есть и куда надо прописать смену DPI.

Еще, раз в MDM BaseXsession=@mdmconfdir@/Xsession, то покажите заодно содержимое файла /etc/mdm/Xsession, например, командой cat.

Там как то просто все делалось... В каком-то одно файле заменить путь дефолтной xsession на пользовательский xinitrc и все. Только не помню где(


Автор темы
Петька_Васька
Сообщения: 32
Зарегистрирован: 19 май 2017, 06:21

Масштабирование рабочего стола Linux 18.1

Сообщение Петька_Васька » 24 май 2017, 13:59

SemenSinchenko,
Не срочно. Подожду.


Автор темы
Петька_Васька
Сообщения: 32
Зарегистрирован: 19 май 2017, 06:21

Масштабирование рабочего стола Linux 18.1

Сообщение Петька_Васька » 25 май 2017, 04:55

SemenSinchenko,
SemenSinchenko писал(а): покажите что есть в /etc/X11/Xsession.d
user@host /etc/X11/Xsession.d $ dir
00upstart 60x11-common_xdg_path 90x11-common_ssh-agent
20x11-common_process-args 60xdg-user-dirs-update 95dbus_update-activation-env
30x11-common_xresources 70gconfd_path-on-session 98vboxadd-xclient
35x11-common_xhost-local 70im-config_launch 99mdm
40x11-common_xsessionrc 75dbus_dbus-launch 99mint
50_check_unity_support 90atk-adaptor 99upstart
50x11-common_determine-startup 90consolekit 99x11-common_start
55cinnamon-session_gnomerc 90gpg-agent
60x11-common_localhost 90qt-a11y
SemenSinchenko писал(а): покажите заодно содержимое файла /etc/mdm/Xsession
user@host ~ $ /etc/mdm/Xsession cat
/etc/mdm/Xsession: Beginning session setup...
localuser:user being added to access control list
dbus-update-activation-environment: setting GJS_DEBUG_TOPICS=JS ERROR;JS LOG
dbus-update-activation-environment: setting LESSOPEN=| /usr/bin/lesspipe %s
dbus-update-activation-environment: setting USER=user
dbus-update-activation-environment: setting SSH_AGENT_PID=1380
dbus-update-activation-environment: setting SHLVL=1
dbus-update-activation-environment: setting HOME=/home/user
dbus-update-activation-environment: setting MDM_LANG=ru_RU.UTF-8
dbus-update-activation-environment: setting XDG_SESSION_COOKIE=5ab3c275b7304ed3b8aeef9ffcc37eb4-1495711255.592757-15561781
dbus-update-activation-environment: setting DESKTOP_SESSION=cinnamon
dbus-update-activation-environment: setting QT_STYLE_OVERRIDE=gtk
dbus-update-activation-environment: setting QT_LINUX_ACCESSIBILITY_ALWAYS_ON=1
dbus-update-activation-environment: setting GTK_MODULES=gail:atk-bridge
dbus-update-activation-environment: setting GDM_XSERVER_LOCATION=local
dbus-update-activation-environment: setting CINNAMON_VERSION=3.2.6
dbus-update-activation-environment: setting DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-dik4ylu60c,guid=2fa9364a413b630888f0bb915926be17
dbus-update-activation-environment: setting MDMSESSION=cinnamon
dbus-update-activation-environment: setting QT_QPA_PLATFORMTHEME=qgnomeplatform
dbus-update-activation-environment: setting MANDATORY_PATH=/usr/share/gconf/cinnamon.mandatory.path
dbus-update-activation-environment: setting IM_CONFIG_PHASE=1
dbus-update-activation-environment: setting LOGNAME=user
dbus-update-activation-environment: setting WINDOWID=50331654
dbus-update-activation-environment: setting _=/etc/mdm/Xsession
dbus-update-activation-environment: setting DEFAULTS_PATH=/usr/share/gconf/cinnamon.default.path
dbus-update-activation-environment: setting TERM=xterm-256color
dbus-update-activation-environment: setting USERNAME=user
dbus-update-activation-environment: setting GTK_OVERLAY_SCROLLING=1
dbus-update-activation-environment: setting GNOME_DESKTOP_SESSION_ID=this-is-deprecated
dbus-update-activation-environment: setting WINDOWPATH=8
dbus-update-activation-environment: setting PATH=/home/user/bin:/home/user/.local/bin:/home/user/bin:/home/user/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games
dbus-update-activation-environment: setting SESSION_MANAGER=local/host:@/tmp/.ICE-unix/1306,unix/host:/tmp/.ICE-unix/1306
dbus-update-activation-environment: setting XDG_RUNTIME_DIR=/run/user/1000
dbus-update-activation-environment: setting DISPLAY=:0
dbus-update-activation-environment: setting LANG=ru_RU.UTF-8
dbus-update-activation-environment: setting XDG_CURRENT_DESKTOP=X-Cinnamon
dbus-update-activation-environment: setting LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=00:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:
dbus-update-activation-environment: setting XDG_SESSION_DESKTOP=cinnamon
dbus-update-activation-environment: setting XAUTHORITY=/home/user/.Xauthority
dbus-update-activation-environment: setting SSH_AUTH_SOCK=/run/user/1000/keyring/ssh
dbus-update-activation-environment: setting SHELL=/bin/bash
dbus-update-activation-environment: setting QT_ACCESSIBILITY=1
dbus-update-activation-environment: setting GDMSESSION=cinnamon
dbus-update-activation-environment: setting LESSCLOSE=/usr/bin/lesspipe %s %s
dbus-update-activation-environment: setting GJS_DEBUG_OUTPUT=stderr
dbus-update-activation-environment: setting PWD=/home/user
dbus-update-activation-environment: setting XDG_CONFIG_DIRS=/etc/xdg/xdg-cinnamon:/etc/xdg/xdg-cinnamon:/etc/xdg
dbus-update-activation-environment: setting XDG_DATA_DIRS=/usr/share/cinnamon:/usr/share/cinnamon:/usr/share/gnome:/usr/local/share/:/usr/share/:/usr/share/mdm/
dbus-update-activation-environment: setting MDM_XSERVER_LOCATION=local
dbus-update-activation-environment: setting VTE_VERSION=4205
dbus-update-activation-environment: warning: error sending to systemd: org.freedesktop.DBus.Error.Spawn.ChildExited: Process org.freedesktop.systemd1 exited with status 1
^C


Автор темы
Петька_Васька
Сообщения: 32
Зарегистрирован: 19 май 2017, 06:21

Масштабирование рабочего стола Linux 18.1

Сообщение Петька_Васька » 26 май 2017, 09:18

SemenSinchenko,
Вы про меня не забыли? Может я скинул не то что нужно?

Аватара пользователя

Chocobo
Сообщения: 5503
Зарегистрирован: 27 авг 2016, 19:57
Решено: 128
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1427 раз

Масштабирование рабочего стола Linux 18.1

Сообщение Chocobo » 26 май 2017, 09:48

Петька_Васька, на мой взгяд, чем неделю искать золотую пулю - проще разово настроить под свои предпочтения text scaling, размеры панелей и ионок, в том же firefox скормить значение layout.css.devPixelsPerPx, и спокойно пользоваться осью :smile:

Аватара пользователя

SemenSinchenko
Сообщения: 315
Зарегистрирован: 17 фев 2017, 09:01
Решено: 2
Откуда: Москва
Благодарил (а): 40 раз
Поблагодарили: 41 раз

Масштабирование рабочего стола Linux 18.1

Сообщение SemenSinchenko » 26 май 2017, 09:50

Петька_Васька, не забыл... Вчера что-то посмотрел - не смог сам разобраться.
Если запускать систему через xinit (startx), то файл .xinitrc читается первым и все записанные в нем команды выполняются, включая нужный нам xrandr --dpi 120.
Но у Вас стоит MDM - Mint Display Manager и он производит инициализацию самостоятельно, не читая файл .xinitrc (и даже не читая системный xinitrc, который расположен по адресу /etc/X11/xinit/xinitrc - вчера проверил). Как он это делает я не разобрался. В интернете куча тем типо "MDM do not look at .xinitrc", но какого то внятного решения я не нашел.

Есть еще один вариант изменить DPI, но он хуже и чреват сломанными иксами.
Можете попробовать.
Выполняете:
Ctrl+Alt+F1
входите под своими логином и паролем, далее:
sudo service mdm stop
sudo X -configure
sudo mv xorg.conf.new /etc/X11/xorg.conf
*
*если эта команда выдаст "нет такого файла", то введите ls -alh и посмотрите, он по разному называется, иногда xorg.new иногда xorg.conf.new, ну или как то так, главное чтобы xorg в названии было.

Далее, в консоли:
cd /etc/X11/
sudo vim xorg.conf

нажимаете кнопку "i", стрелками идете вниз, находите Section Monitor
в конце секции после того, что там есть, но до EndSection добавляете строчку Option "DPI" "120 x 120". Нажимаете кнопку "Esc", пишете :wq! и жмете Enter.
После этого пробуете либо startx, либо sudo service mdm start
Если X-server не стартует, то пишете сюда ошибку, которую выдает, а также выполняете команду sudo mv /etc/X11/xorg.conf /etc/X11/xorg.conf.bad - это вернет все назад.

Других идей у меня нет.

P.S. Если подсунуть MDM вместо default xsession файла файл .xinitrc, в конце которого было бы написано . /etc/X11/Xsession, то оно наверное и сработает, вот только я понятия не имею, откуда MDM берет окружение для запуска по умолчанию.
P.P.S. Есть еще вариант влепить XDM вместо MDM, но
а). XDM ущербно выглядит
б). Внешний вид XDM настраивается через конфиги типо .Xresources и прочие.
Зато он читает .xinitrc =)


Unborn
Сообщения: 781
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 118 раз

Масштабирование рабочего стола Linux 18.1

Сообщение Unborn » 26 май 2017, 10:43

SemenSinchenko, все настройки уже давно в юзеровской шаре в каталоге xorg.conf.d
Если нужно изменить, настроить, то создаётся соответствующий файл-конфиг. Например 20-intel.conf и по секциям прописываются параметры.
Не нужно лезть и ковыряться в etc. Чревато.

Аватара пользователя

SemenSinchenko
Сообщения: 315
Зарегистрирован: 17 фев 2017, 09:01
Решено: 2
Откуда: Москва
Благодарил (а): 40 раз
Поблагодарили: 41 раз

Масштабирование рабочего стола Linux 18.1

Сообщение SemenSinchenko » 26 май 2017, 10:54

Unborn, я вот честно не знал этого.
Тогда распишите человеку, как это сделать - ему по сути нужно прописать "Option" "DPI" "120 x 120" в секции монитора. Я просто не знаю, как это сделать...(


Unborn
Сообщения: 781
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 118 раз

Масштабирование рабочего стола Linux 18.1

Сообщение Unborn » 26 май 2017, 12:12

SemenSinchenko, коротко - например для граф. карты Intel создаётся файл 20-intel.conf в usr/share/X11/xorg.conf.d
В нём -
Section "Monitor"
Option "DPI" "120 x 120"
EndSection
Только точно в Monitor, а не в Screen или Device?
И в Корице есть еще файл настроек мониторов monitors.xml
Не плохо было бы посмотреть Xorg.0.log, что там вообще происходит.

Аватара пользователя

SemenSinchenko
Сообщения: 315
Зарегистрирован: 17 фев 2017, 09:01
Решено: 2
Откуда: Москва
Благодарил (а): 40 раз
Поблагодарили: 41 раз

Масштабирование рабочего стола Linux 18.1

Сообщение SemenSinchenko » 26 май 2017, 12:33

Unborn писал(а): Не плохо было бы посмотреть Xorg.0.log, что там вообще происходит.
Да все у него там нормально как я понял, просто хочет корицу к телеку привинтить.
А штатной возможности изменить общий масштаб (читай DPI) в корице нет (штатно можно поменять только размер шрифтов, или Xft.dpi по другому).

В свое время я решал такую же проблему, но у меня был мини-пк, на котором не было MDM (вообще никакого DM, я его даже не выключал), а старт иксов был командой startx, соответственно я просто прописал xrandr --dpi 120 в ~/.xinitrc...
Вроде бы именно в Section Monitor надо писать, по крайней мере здесь в эту секцию писать говорят.


Unborn
Сообщения: 781
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 118 раз

Масштабирование рабочего стола Linux 18.1

Сообщение Unborn » 26 май 2017, 13:07

SemenSinchenko писал(а): А штатной возможности изменить общий масштаб (читай DPI) в корице нет
Можно, на лету, только сразу в 2 раза.

Аватара пользователя

SemenSinchenko
Сообщения: 315
Зарегистрирован: 17 фев 2017, 09:01
Решено: 2
Откуда: Москва
Благодарил (а): 40 раз
Поблагодарили: 41 раз

Масштабирование рабочего стола Linux 18.1

Сообщение SemenSinchenko » 26 май 2017, 13:17

Unborn писал(а): Можно, на лету, только сразу в 2 раза.
Это его не устраивает (первый пост). Нужно именно 120 или около того поставить...


Unborn
Сообщения: 781
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 118 раз

Масштабирование рабочего стола Linux 18.1

Сообщение Unborn » 26 май 2017, 13:32

SemenSinchenko писал(а): Это его не устраивает (первый пост). Нужно именно 120 или около того поставить...
Я к тому, что где-то в Корице есть настройка, только где этот файл и как называется? Я х.з. Можно же там попробовать вместо в 2 раза написать в 3. Или в половину.

Аватара пользователя

SemenSinchenko
Сообщения: 315
Зарегистрирован: 17 фев 2017, 09:01
Решено: 2
Откуда: Москва
Благодарил (а): 40 раз
Поблагодарили: 41 раз

Масштабирование рабочего стола Linux 18.1

Сообщение SemenSinchenko » 26 май 2017, 13:35

Unborn писал(а): Я к тому, что где-то в Корице есть настройка, только где этот файл и как называется? Я х.з. Можно же там попробовать вместо в 2 раза написать в 3. Или в половину.
Мысль хорошая, вот только у меня сейчас даже дома корицы нету... Но за идею плюс!


Автор темы
Петька_Васька
Сообщения: 32
Зарегистрирован: 19 май 2017, 06:21

Масштабирование рабочего стола Linux 18.1

Сообщение Петька_Васька » 26 май 2017, 14:52

Chocobo,
Я трудностей не боюсь, я их преодолеваю)
SemenSinchenko,
SemenSinchenko писал(а): Выполняете:
Ctrl+Alt+F1
Это можно сделать чтобы открывшееся строка была не на весь экран и в неё можно было вставлять текст?
Unborn,
Unborn писал(а): для граф. карты Intel создаётся файл 20-intel.conf
Как будет называться файл для карты radeon hd7850? Пробовал названия 20-amd.conf и 20-radeon.conf после чего при загрузке получал вот это:
https://drive.google.com/file/d/0B1t7I7 ... sp=sharing
https://drive.google.com/open?id=0B1t7I ... 1U3OGxlU2c
https://drive.google.com/open?id=0B1t7I ... k5BVU1DV3c
https://drive.google.com/file/d/0B1t7I7 ... sp=sharing


Unborn
Сообщения: 781
Зарегистрирован: 03 сен 2016, 10:36
Решено: 15
Благодарил (а): 2 раза
Поблагодарили: 118 раз

Масштабирование рабочего стола Linux 18.1

Сообщение Unborn » 26 май 2017, 16:34

Петька_Васька, для свободного драйвера называется 20-radeon.conf
Может идентификатора монитора не хватает.
Пробуй так - в секцию "Monitor" первыми строчками -
Identifier "Monitor0"
VendorName "Monitor Vendor"
ModelName "Monitor Model"
Если конечно ТВ - это основной.
Потом -
Section "Device"
Identifier "Radeon"
Driver "radeon"
Option "TearFree" "on"
EndSection

Аватара пользователя

SemenSinchenko
Сообщения: 315
Зарегистрирован: 17 фев 2017, 09:01
Решено: 2
Откуда: Москва
Благодарил (а): 40 раз
Поблагодарили: 41 раз

Масштабирование рабочего стола Linux 18.1

Сообщение SemenSinchenko » 26 май 2017, 18:25

Петька_Васька писал(а): Это можно сделать чтобы открывшееся строка была не на весь экран и в неё можно было вставлять текст?
Нет, там вся идея именно в том, чтобы остановить Xsrever и перейти в консоль. Иначе выпадет ошибка, что xsrever уже запущен. Но забудьте, выше предложен вариант лучше.

Вернуться в «Cinnamon»